Bug 152583 - CAN-2005-0469 slc_add_reply() and CAN-2005-0468 env_opt_add()
CAN-2005-0469 slc_add_reply() and CAN-2005-0468 env_opt_add()
Status: CLOSED ERRATA
Product: Fedora Legacy
Classification: Retired
Component: telnet (Show other bugs)
rhl9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Fedora Legacy Bugs
1, LEGACY, rh90, rh73
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-30 10:07 EST by Matthew Miller
Modified: 2007-04-18 13:22 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-11 18:28:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Matthew Miller 2005-03-30 10:07:05 EST
An advisory was issued for RHEL <http://rhn.redhat.com/errata/RHSA-2005-327.html>
and there's an as-yet unannounced update in the FC3 updates tree, but none for
FC2. There *was* an update for krb5, covering the telnet program in that
package, but not the much-more-commonly installed and used base telnet package.

See also RHEL bug #151297 and bug #151301
Comment 1 Marc Deslauriers 2005-04-20 18:38:34 EDT
Must check to see if CAN-2005-0268 needs taking care of also
Comment 2 Pekka Savola 2005-05-11 03:23:39 EDT
Umm,  CAN-2005-0268 appears to be a php script issue, maybe you were referring
to something else?
Comment 3 Marc Deslauriers 2005-05-11 08:00:35 EDT
Humm...yeah, I really don't know what I was referring to.
Ignore comment 1 for now.
Comment 4 Pekka Savola 2005-05-11 09:10:11 EDT
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1
 
FC2 update was already published, so here are the packages for the rest.
 
http://www.netcore.fi/pekkas/linux/telnet-0.17-20.1.legacy.src.rpm (RHL73)
http://www.netcore.fi/pekkas/linux/telnet-0.17-25.1.legacy.src.rpm (RHL9)
http://www.netcore.fi/pekkas/linux/telnet-0.17-26.2.1.legacy.src.rpm (FC1)
 
b0812204b81b2a9ccc5d3236a0a0ab35ff7e888f  telnet-0.17-20.1.legacy.src.rpm
9ebd4b4b122f736778d4bce93da9214be4dba356  telnet-0.17-25.1.legacy.src.rpm
341b83341560c91850f73c91e6ab0368a6f76a41  telnet-0.17-26.2.1.legacy.src.rpm
 
* Wed May 11 2005 Pekka Savola <pekkas@netcore.fi> 1:0.17-25.1.legacy
 - Apply RHEL patch to fix CAN-2005-0469 and CAN-2005-0468 (#152583)
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.7 (GNU/Linux)
 
iD8DBQFCggPkGHbTkzxSL7QRAtdWAJ4xdSpc2yN+0XpY8gtiLAkDurCFEQCfRNQz
/dhB8AKwNU/xbKd/tTqC5hs=
=51/c
-----END PGP SIGNATURE-----
Comment 5 Matthew Miller 2005-05-11 09:23:59 EDT
(Just confirming that the FC2 fix *did* make it into the FC2 updates tree before
the cutoff.)
Comment 6 Donald Maner 2005-06-18 14:42:45 EDT
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

I did QA on the RHL73, RHL9, and FC1 packages.

b0812204b81b2a9ccc5d3236a0a0ab35ff7e888f  telnet-0.17-20.1.legacy.src.rpm
9ebd4b4b122f736778d4bce93da9214be4dba356  telnet-0.17-25.1.legacy.src.rpm
341b83341560c91850f73c91e6ab0368a6f76a41  telnet-0.17-26.2.1.legacy.src.rpm

Used rpm-build-compare to compare the above versions to the previous versions.

Only patch addition is CAN-2005-468_469.patch.

Patch is as expected.

specfile changes are to package version, addition of new patch, and changelog.

+PUBLISH RHL73, RHL9, FC1

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (MingW32)

iD8DBQFCtGqhTnwK660bsQMRAonVAKCG1Ff4Kce/cHY01oadQpuCn9cQYQCgpM7h
EDL1q49RbmUDLtwWUwYLXgQ=
=eE1D
-----END PGP SIGNATURE-----
Comment 7 Marc Deslauriers 2005-06-24 14:49:19 EDT
These were pushed to updates-testing
Comment 8 Tom Yates 2005-06-26 03:39:55 EDT
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

114ead8f946fd9f50f88ed017f03a2302647ebd1  telnet-0.17-25.1.legacy.i386.rpm
e5c31fdc2b08cd4a5614101be249a4888d87ded0  telnet-server-0.17-25.1.legacy.i386.rpm

install fine.  telnet client is fine (telnet www.sgi.com 80; GET /), have
temporarily
enabled telnet server locally, telnetting in from localhost is fine.

+VERIFY RH9

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.6 (GNU/Linux)

iD8DBQFCvltvePtvKV31zw4RApF+AKCSfEeKR7vEabBZh8J9/0ViJA2/kACdHemo
TfJ2qkn6yI3emHNN7lSuOQA=
=jqda
-----END PGP SIGNATURE-----
Comment 9 Pekka Savola 2005-06-28 09:57:39 EDT
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Tested telnet RPM for RHL9.  'Telnet' seems to work fine, no changes to
other apps in the packaging. +VERIFY RHL9
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.7 (GNU/Linux)

iD8DBQFCwVb9GHbTkzxSL7QRAjndAJwIlT/0bZE2LeeCvlf2b5TUsZaNPgCgt1HE
BdGLCZFsV/35HKT6eHjCBu8=
=1rAe
-----END PGP SIGNATURE-----
Comment 10 Eric Jon Rostetter 2005-06-28 15:21:03 EDT
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1
 
++VERIFY for RHL 7.3
++VERIFY for RHL 9
 
Packages:
telnet-0.17-20.1.legacy.i386.rpm
telnet-server-0.17-20.1.legacy.i386.rpm
 
SHA1 checksums all match test update advisory.  Signatures verify okay.
 
Installed on two RHL 9 machines and two RHL 7.3 machine without problems.
Made telnet conections between the machines both ways.  tcp wrapper support
works.  All worked as expected.  Saw no obvious problems or issues.
 
Vote for release. ++VERIFY
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.1 (GNU/Linux)
 
iD8DBQFCwaLl4jZRbknHoPIRAhVTAJ9fDHLR5RZU0jxVKoDsB3YxG41n3QCeIXr2
ga617C8TnKO1QorlYDnkauw=
=BIL+
-----END PGP SIGNATURE-----
Comment 11 Jim Popovitch 2005-07-10 18:43:26 EDT
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

++VERIFY RHL 7.3

eb72994dc7fa63672d461f1b80189e450b7dc7ab  telnet-0.17-20.1.legacy.i386.rpm
ae27914b4039594609d14d209c466f78b09649d4  telnet-server-0.17-20.1.legacy.i386.rpm

Runs on test and production systems fine.  No issues.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFC0aTAMyG7U7lo69MRAmkDAKCBsfJCouIcV22IETymkSogALju3ACfeybF
0ie7SKe/k9iYVvTUTZRDpOs=
=gtSn
-----END PGP SIGNATURE-----
Comment 12 Pekka Savola 2005-07-11 00:56:39 EDT
Timeout over..
Comment 13 Marc Deslauriers 2005-07-11 18:28:23 EDT
Packages were officially released.

Note You need to log in before you can comment on or make changes to this bug.